/*--------------------------------------------------------------------------
 * arma.h - definitions/declarations for Arma package
 *
 *       (C) Jurgen Doornik 1994-97
 *
 *--------------------------------------------------------------------------*/

#ifndef ARMA_INCLUDED
#define ARMA_INCLUDED

arma0(const ma, const vpar, const cp, const cq);
armaforc(const mx, const vpar, const cp, const cq, ...);
armagen(const mx, const meps, const vpar, const cp, const cq);
armavar(const vpar, const cp, const cq, const dvar, const ct);

modelforc(const mU, const mData, const miDep, const miSel, const miLag, const mPi, const iTmin);

diffpow(const ma, const ia);

pacf(const macf, ...);

#endif /* ARMA_INCLUDED */
